<?php
include_once(getabspath("include/cliente_settings.php"));

function DisplayMasterTableInfo_cliente($params)
{
	$detailtable = $params["detailtable"];
	$keys = $params["keys"];
	$detailPageObj = $params["detailPageObj"];
	global $conn,$strTableName;
	$xt = new Xtempl();
	$oldTableName = $strTableName;
	$strTableName = "cliente";
	
	$settings = new ProjectSettings($strTableName, PAGE_LIST);
	$cipherer = new RunnerCipherer($strTableName);
	
	$masterQuery = $settings->getSQLQuery();
	
	$viewControls = new ViewControlsContainer($settings, PAGE_LIST);

$where = "";
$mKeys = array();
$showKeys = "";

global $page_styles, $page_layouts, $page_layout_names, $container_styles;

$layout = new TLayout("masterlist","BoldAqua","MobileAqua");
$layout->blocks["bare"] = array();
$layout->containers["0"] = array();

$layout->containers["0"][] = array("name"=>"masterlistheader","block"=>"","substyle"=>1);


$layout->skins["0"] = "empty";
$layout->blocks["bare"][] = "0";
$layout->containers["mastergrid"] = array();

$layout->containers["mastergrid"][] = array("name"=>"masterlistfields","block"=>"","substyle"=>1);


$layout->skins["mastergrid"] = "grid";
$layout->blocks["bare"][] = "mastergrid";$page_layouts["cliente_masterlist"] = $layout;


if($detailtable == "venta")
{
		$where.= GetFullFieldName("idcliente", "", false)."=".$cipherer->MakeDBValue("idcliente",$keys[1-1], "", "", true);
	$showKeys .= " "."Idcliente".": ".$keys[1-1];
	$xt->assign('showKeys',$showKeys);
}
	if(!$where)
	{
		$strTableName = $oldTableName;
		return;
	}
	$str = SecuritySQL("Search");
	if(strlen($str))
		$where.= " and ".$str;

	$strWhere = whereAdd($masterQuery->WhereToSql(),$where);
	if(strlen($strWhere))
		$strWhere = " where ".$strWhere." ";
	$strSQL = $masterQuery->HeadToSql().' '.$masterQuery->FromToSql().$strWhere.$masterQuery->TailToSql();

//	$strSQL = AddWhere($strSQL,$where);
	LogInfo($strSQL);
	$rs = db_query($strSQL,$conn);
	$data = $cipherer->DecryptFetchedArray($rs);
	if(!$data)
	{
		$strTableName = $oldTableName;
		return;
	}
	$keylink = "";
	$keylink.="&key1=".htmlspecialchars(rawurlencode(@$data["idcliente"]));
	

//	idcliente - 
			$value="";

					$xt->assign("idcliente_mastervalue", $viewControls->showDBValue("idcliente", $data, $keylink));

//	denominacion - 
			$value="";

					$xt->assign("denominacion_mastervalue", $viewControls->showDBValue("denominacion", $data, $keylink));

//	ruc_ci - 
			$value="";

					$xt->assign("ruc_ci_mastervalue", $viewControls->showDBValue("ruc_ci", $data, $keylink));

//	direccion - 
			$value="";

					$xt->assign("direccion_mastervalue", $viewControls->showDBValue("direccion", $data, $keylink));

//	idciudad - 
			$value="";

					$xt->assign("idciudad_mastervalue", $viewControls->showDBValue("idciudad", $data, $keylink));

//	telefono - 
			$value="";

					$xt->assign("telefono_mastervalue", $viewControls->showDBValue("telefono", $data, $keylink));

//	observacion - 
			$value="";

					$xt->assign("observacion_mastervalue", $viewControls->showDBValue("observacion", $data, $keylink));

	$viewControls->addControlsJSAndCSS();
	$detailPageObj->viewControlsMap['mViewControlsMap'] = $viewControls->viewControlsMap;

	$layout = GetPageLayout("cliente", 'masterlist');
	if($layout)
		$xt->assign("pageattrs", 'class="'.$layout->style." page-".$layout->name.'"');
	
	$xt->display("cliente_masterlist.htm");
	
	$strTableName=$oldTableName;
}

?>